Docs
Profiles
POST
/profiles

Requires profiles:write and a key with access to all profiles.

Authorization

bearerAuth
AuthorizationBearer <token>

API key starting with fh_

In: header

Header Parameters

Idempotency-Key?string

Any unique string up to 255 characters. A retry with the same key within 24 hours returns the first response instead of running again.

Lengthlength <= 255

Request Body

application/json

name*string
Length1 <= length <= 100
color?string
Match^#[0-9a-fA-F]{6}$
timezone?string

IANA time zone, e.g. Europe/Berlin

externalId?string

Your own id for this object, e.g. your customer id. Unique per organization

Length1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://feedhorizon.com/api/v1/profiles" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "data": {
    "id": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
    "name": "Soup Club",
    "color": "#f5d76e",
    "timezone": "Europe/Berlin",
    "isDefault": true,
    "queueEnabled": true,
    "externalId": "cus_1042",
    "createdAt": "2026-11-10T08:00:00.000Z",
    "updatedAt": "2026-11-10T08:00:00.000Z"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "invalid_json",
    "message": "The body is not valid JSON",
    "docUrl": "https://feedhorizon.com/docs/api/errors#invalid_request_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "No Authorization: Bearer header",
    "docUrl": "https://feedhorizon.com/docs/api/errors#authentication_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "permission_error",
    "code": "insufficient_scope",
    "message": "The key lacks the scope for this endpoint",
    "docUrl": "https://feedhorizon.com/docs/api/errors#permission_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "conflict_error",
    "code": "external_id_taken",
    "message": "Another profile already uses this externalId",
    "docUrl": "https://feedhorizon.com/docs/api/errors#conflict_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "idempotency_error",
    "code": "idempotency_key_reused",
    "message": "The key was used for a different request. Use a new key",
    "docUrl": "https://feedhorizon.com/docs/api/errors#idempotency_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "rate_limit_error",
    "code": "rate_limited",
    "message": "Too many requests. Wait the seconds in Retry-After",
    "docUrl": "https://feedhorizon.com/docs/api/errors#rate_limit_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "Something failed on our side. Retry with backoff, using the same Idempotency-Key for writes",
    "docUrl": "https://feedhorizon.com/docs/api/errors#api_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}